#!/usr/bin/bash
# Copyright 2021 Chad Lemmen http://www.lemmen.com
#
################################################################################
# File:     lib.sh
# Date:     12/02/2021
# Author:   Chad Lemmen http://www.stansoft.org
# Purpose:  Library of bash functions
# History: 
#
################################################################################

func_log_error () {
  # $1: script filename
  # $2: the error message
  logfile=~/stansoft.log

  echo "$(date -Iseconds) $1: $2" >> "$logfile" 
  echo "Wrote to $logfile" >&2
}


func_set_sqlcmd () {
  if [[ $A4GL_SQLTYPE == pg* ]]; then
    # Postgres
    sqlcmd="psql -q -t -A"
  else
    # Informix
    sqlcmd=dbaccess
    noheading='output to pipe "cat" without headings'
  fi
}
